TechDraw ComplexSection: Difference between revisions

From FreeCAD Documentation
No edit summary
(Removed manual translation unit tags. Minor white space cleanup.)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:22-->
{{Docnav
{{Docnav
|[[TechDraw_SectionView|SectionView]]
|[[TechDraw_SectionView|SectionView]]
Line 11: Line 11:
}}
}}


<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=TechDraw ComplexSection
|Name=TechDraw ComplexSection
Line 20: Line 19:
}}
}}


==Description== <!--T:2-->
== Description ==


<!--T:10-->
The Complex Section tool creates a cross section view based on a profile and an existing part view.
The Complex Section tool creates a cross section view based on a profile and an existing part view.


Line 28: Line 26:
[[Image:TechDraw_QuarterSection_example.png|250px]]
[[Image:TechDraw_QuarterSection_example.png|250px]]
<translate>
<translate>
<!--T:11-->
{{Caption|A sample of a quarter section view created with the Complex Section tool}}
{{Caption|A sample of a quarter section view created with the Complex Section tool}}
</translate>


</translate>
[[Image:TechDraw_AlignedSection_example.png|250px]]
[[Image:TechDraw_AlignedSection_example.png|250px]]
<translate>
<translate>
<!--T:11-->
{{Caption|A sample of an aligned section view created with the Complex Section tool}}
{{Caption|A sample of an aligned section view created with the Complex Section tool}}
</translate>


</translate>
[[Image:TechDraw_OffsetSection_example.png|250px]]
[[Image:TechDraw_OffsetSection_example.png|250px]]
<translate>
<translate>
<!--T:11-->
{{Caption|A sample of an offset section view created with the Complex Section tool}}
{{Caption|A sample of an offset section view created with the Complex Section tool}}


==Usage== <!--T:3-->
== Usage ==


# Select a part view and a profile object in the 3D window or tree. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
<!--T:12-->
# Select a part view and a profile object in the 3D window or tree. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
# Press the {{Button|[[Image:TechDraw ComplexSection.svg|16px]] [[TechDraw_ComplexSection|Insert Complex Section]]}} button
# Press the {{Button|[[Image:TechDraw ComplexSection.svg|16px]] [[TechDraw_ComplexSection|Insert Complex Section]]}} button
# A dialog will open which will help calculate the various Complex Section properties. The dialog calculates reasonable starting points for the view Direction, but these may be changed.
# A dialog will open which will help calculate the various Complex Section properties. The dialog calculates reasonable starting points for the view Direction, but these may be changed.
# If you make a mistake, or change your mind while setting up the Section parameters, press the {{Button|Reset}} button, and you can start over.
# If you make a mistake, or change your mind while setting up the Section parameters, press the {{Button|Reset}} button, and you can start over.


</translate>

<!--T:13-->
[[Image:TechDraw_ComplexSection_Taskview1.png]]
[[Image:TechDraw_ComplexSection_Taskview1.png]]
[[Image:TechDraw_ComplexSection_Taskview2.png]]
[[Image:TechDraw_ComplexSection_Taskview2.png]]
<translate>


== Properties ComplexSection ==
<br>

== Properties ComplexSection == <!--T:32-->


<!--T:33-->
See also [[TechDraw_SectionView#Properties|TechDraw SectionView]].
See also [[TechDraw_SectionView#Properties|TechDraw SectionView]].


Line 67: Line 58:
{{TitleProperty|Cutting Tool}}
{{TitleProperty|Cutting Tool}}


<!--T:24-->
* {{PropertyData|CuttingToolWireObject}}: The document object whose shape will be used to generate the cutting profile.
* {{PropertyData|CuttingToolWireObject}}: The document object whose shape will be used to generate the cutting profile.
* {{PropertyData|ProjectionStrategy}}: Controls how the cut is performed and how the result is projected to the page.
* {{PropertyData|ProjectionStrategy}}: Controls how the cut is performed and how the result is projected to the page.
Line 74: Line 64:
** {{Value|NoParallel}}: As Aligned, but profile segments which are parallel to the view direction are skipped.
** {{Value|NoParallel}}: As Aligned, but profile segments which are parallel to the view direction are skipped.


== Notes == <!--T:18-->
== Notes ==

* '''TrimAfterCut''': the section cut operation sometimes leaves behind a portion of the source shape. If TrimAfterCut is true, an additional cut operation is performed on the result of the first cut and should remove any unwanted pieces.
* '''TrimAfterCut''': the section cut operation sometimes leaves behind a portion of the source shape. If TrimAfterCut is true, an additional cut operation is performed on the result of the first cut and should remove any unwanted pieces.


==Scripting== <!--T:6-->
== Scripting ==


<!--T:16-->
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:17-->
The ComplexSection tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:
The ComplexSection tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


Line 102: Line 91:




<!--T:23-->
{{Docnav
{{Docnav
|[[TechDraw_SectionView|SectionView]]
|[[TechDraw_SectionView|SectionView]]
Line 115: Line 103:
{{TechDraw Tools navi{{#translation:}}}}
{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 09:15, 29 October 2022

Other languages:

TechDraw ComplexSection

Menu location
TechDraw → Insert Complex Section
Workbenches
TechDraw
Default shortcut
None
Introduced in version
1.0
See also
TechDraw Section, TechDraw View, TechDraw Projection Group

Description

The Complex Section tool creates a cross section view based on a profile and an existing part view.

A sample of a quarter section view created with the Complex Section tool

A sample of an aligned section view created with the Complex Section tool

A sample of an offset section view created with the Complex Section tool

Usage

  1. Select a part view and a profile object in the 3D window or tree. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
  2. Press the Insert Complex Section button
  3. A dialog will open which will help calculate the various Complex Section properties. The dialog calculates reasonable starting points for the view Direction, but these may be changed.
  4. If you make a mistake, or change your mind while setting up the Section parameters, press the Reset button, and you can start over.

Properties ComplexSection

See also TechDraw SectionView.

Data

Cutting Tool

  • DataCuttingToolWireObject: The document object whose shape will be used to generate the cutting profile.
  • DataProjectionStrategy: Controls how the cut is performed and how the result is projected to the page.
    • Offset: Performs a simple cut of the Source shape and projects the result.
    • Aligned: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.
    • NoParallel: As Aligned, but profile segments which are parallel to the view direction are skipped.

Notes

  • TrimAfterCut: the section cut operation sometimes leaves behind a portion of the source shape. If TrimAfterCut is true, an additional cut operation is performed on the result of the first cut and should remove any unwanted pieces.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The ComplexSection tool can be used in macros and from the Python console by using the following functions:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
view.Source = box
view.Direction = (0.0,0.0,1.0)

profile = FreeCAD.ActiveDocument.Sketch

section = FreeCAD.ActiveDocument.addObject('TechDraw::DrawComplexSection','ComplexSection')
rc = page.addView(section)
section.BaseView = view
section.CuttingToolWireObject = profile